# Uses of Interface
java.lang.classfile.BufWriter

Packages that use BufWriter
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of BufWriter in java.lang.classfile

Methods in java.lang.classfile with parameters of type BufWriter
Modifier and Type
Method
Description
`void`
ClassReader.`copyBytesTo(BufWriter buf, int offset, int len)`
Copy a range of bytes from the `class` file to a `BufWriter`.
`void`
AttributeMapper.`writeAttribute(BufWriter buf, A attr)`
Writes an `Attribute` instance to a `class` file for the Class-File API.